import Vue from 'vue'
import VueRouter from 'vue-router'
import Login from "@/views/Login.vue";
import Home from "@/views/Home.vue";
import TrainingCompletion from "@/views/TrainingCompletion.vue";
import FallPrevention from "@/views/FallPrevention.vue";
import store from '@/store/index';

Vue.use(VueRouter)

const routes = [
    {
        path: '/',
        name: 'Login',
        component: Login,
    },
    {
        path: '/home',
        name: 'Home',
        component: Home,
        beforeEnter: (to:any, from: any, next: any) => {
            if (store.getters.authenticated == false) {
                next(false);
            } else {
                next();
            }
        },
        redirect: {
            name: 'Training Completion'
        },
        children: [
            {
                path: 'trainingcompletion',
                name: 'Training Completion',
                component: TrainingCompletion,
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                // component: () => import(/* webpackChunkName: "about" */ '../views/TrainingCompletion')
            },
            {
                path: 'fallprevention',
                name: 'Fall Prevention',
                component: FallPrevention,
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                // component: () => import(/* webpackChunkName: "about" */ '../views/FallPrevention.vue')
            }
        ]
    },
]

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes
})

export default router
